{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "#": "minecraft:diamond",
    "C": "exotelcraft:blue_stone",
    "S": "exotelcraft:ruby_upgrade_ruby_upgrading_template"
  },
  "pattern": [
    "#S#",
    "#C#",
    "###"
  ],
  "result": {
    "count": 2,
    "id": "exotelcraft:ruby_upgrade_ruby_upgrading_template"
  }
}